#include <dv-processing/io/camera/discovery.hpp>

#include <iostream>

int main() {
	// Call the discovery method
	const auto cameras = dv::io::camera::discover();

	std::cout << "Device discovery: found " << cameras.size() << " devices." << std::endl;

	// Loop through detected camera names and print them
	for (const auto &camera : cameras) {
		std::cout << "Detected device [" << camera.cameraModel << " " << camera.serialNumber << "]" << std::endl;
	}

	return 0;
}
